import "../../chunks/chunk.QU3DSPNU.js";
import rbcbStyles from "../../shared-styles/rbcb-toggle.style.js";
import { TransitionalStyles } from "../../utils/transitional-styles/transitional-styles.js";
import menuHeadingStyles from "../menu/menu-heading.trans.styles.scss.js";
import listboxStyles from "./listbox.trans.styles.scss.js";
import optionStyles from "./option.trans.styles.scss.js";
function register() {
  TransitionalStyles.instance.register("gds-listbox", listboxStyles.toString());
  TransitionalStyles.instance.register(
    "gds-option",
    optionStyles.toString() + rbcbStyles.cssText
  );
  TransitionalStyles.instance.register(
    "gds-menu-heading",
    menuHeadingStyles.toString()
  );
}
var listbox_trans_styles_default = register;
export {
  listbox_trans_styles_default as default,
  register
};
